Bug 1125780 - [RFE][horizon]: Provide a way to locate nova instances in very large deployments
Summary: [RFE][horizon]: Provide a way to locate nova instances in very large deployments
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: RFEs
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: ---
Assignee: RHOS Maint
QA Contact:
URL: https://blueprints.launchpad.net/hori...
Whiteboard: upstream_milestone_none upstream_defi...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-01 04:04 UTC by RHOS Integration
Modified: 2016-10-29 04:04 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-19 16:51:49 UTC


Attachments (Terms of Use)

Description RHOS Integration 2014-08-01 04:04:55 UTC
Cloned from launchpad blueprint https://blueprints.launchpad.net/horizon/+spec/horizon-massive-nova-instance-search.

Description:

The current admin page for nova instances does client side search and forces users to do a lot of paging in order to find an instance.   A deployment of any scale (think 1000s of instances) struggles with this type of user interaction.

I propose adding a page that looks similar to the current instances page in the admin dashboard, but provides instance searching for a variety of parameters..... project id, host, ip address.... etc.  The common ways an admin would locate an instance via CLI should be available in the UI.

Specification URL (additional information):

None


Note You need to log in before you can comment on or make changes to this bug.